# Update a type group

Updates an existing type group.

Endpoint: PATCH /v1/type-groups/{typeGroupUuid}
Version: 1.1.0
Security: Bearer

## Path parameters:

  - `typeGroupUuid` (string, required)
    The unique identifier of the type group to update.

## Request fields (application/json):

  - `code` (string,null)
    Updated code for the type group.

  - `displayName` (string,null)
    Updated display name for the type group.

  - `description` (string,null)
    Updated description for the type group.

## Response 200 fields (application/json):

  - `uuid` (string, required)
    Unique identifier for this type group.

  - `createdAt` (string, required)
    Timestamp when this type group was created.
    Example: "2025-11-23T14:15:22.123456Z"

  - `updatedAt` (string, required)
    Timestamp when this type group was last modified.
    Example: "2025-11-23T14:15:22.123456Z"

  - `removedAt` (string,null)
    Timestamp when this type group was removed. Null if not removed.
    Example: "2025-11-23T14:15:22.123456Z"

  - `status` (string, required)
    Lifecycle status of a type group.
    Enum: "draft", "active", "inactive", "removed"

  - `entityType` (string, required)
    Entity type that a type group applies to.
    Enum: "product"

  - `code` (string, required)
    Unique code for this type group.

  - `displayName` (string, required)
    Human-readable name for this type group.

  - `description` (string,null)
    Optional description of this type group.

## Response 401 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

## Response 403 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

  - `correlationId` (string,null)

## Response 404 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

  - `correlationId` (string,null)

## Response 409 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

  - `correlationId` (string,null)

## Response 422 fields (application/problem+json):

  - `errors` (array)

  - `errors.code` (string, required)

  - `errors.message` (string, required)

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

  - `correlationId` (string,null)

## Response 500 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

  - `correlationId` (string,null)


